### Navigation

- index
- modules |
- next |
- previous |
- home|
- search|
- documentation »
- The IPython API »

# lib.inputhookglut

## Module: `lib.inputhookglut`

GLUT Inputhook support functions

## Functions

`IPython.lib.inputhookglut.``glut_close`()

`IPython.lib.inputhookglut.``glut_display`()

`IPython.lib.inputhookglut.``glut_idle`()

`IPython.lib.inputhookglut.``glut_int_handler`(signum, frame)

`IPython.lib.inputhookglut.``inputhook_glut`()

  Run the pyglet event loop by processing pending events only.

  This keeps processing pending events until stdin is ready. After processing all pending events, a call to time.sleep is inserted. This is needed, otherwise, CPU usage is at 100%. This sleep time should be tuned though for best performance.

### Navigation

- index
- modules |
- next |
- previous |
- home|
- search|
- documentation »
- The IPython API »